Subject: Source for collapsable, epoxy mushroom hunting basket

From: [email-masked] (Stamets 1)
Date: 24 Dec 1994 15:13:38 -0500

Fellow Friends of the Fungus

Years ago, we had a supplier from L.A. for an epoxy covered, collapsable
mushroom hunting basket. We have long since lost their address. Does
anyone know where we can source these? Ron Petersen got the last
of our stock. We very much appreciate any leads. Thanks.
 
paul stamets

ps: FYI - a malfunction destroyed all inbound e-mail from 12/21-12/22.
 the message flashed something about "instability" and then zapped out 4-5
letters which were awaiting delivery. 
can not be retrieved. 

Merry Christmas ! My your hyphae branch and dikaryotize with abandon!